//adresy rejestrw ukadu MAG3110
#define DR_STATUS   0x00    //RO Data ready status per axis
#define OUT_X_MSB   0x01    //RO data Bits [15:8] of X measurement
#define OUT_X_LSB   0x02    //RO data Bits [7:0] of X measurement
#define OUT_Y_MSB   0x03    //RO data Bits [15:8] of Y measurement
#define OUT_Y_LSB   0x04    //RO data Bits [7:0] of Y measurement
#define OUT_Z_MSB   0x05    //RO data Bits [15:8] of Z measurement
#define OUT_Z_LSB   0x06    //RO data Bits [7:0] of Z measurement
#define WHO_AM_I    0x07    //RO Device ID Number
#define I_AM_MAG3110 0xC4   //wasciwa zawarto rejestru WHO_AM_I
#define SYSMOD      0x08    //RO data Current System Mode
#define OFF_X_MSB   0x09    //RW Bits [14:7] of user X offset
#define OFF_X_LSB   0x0A    //RW Bits [6:0] of user X offset
#define OFF_Y_MSB   0x0B    //RW Bits [14:7] of user Y offset
#define OFF_Y_LSB   0x0C    //RW Bits [6:0] of user Y offset
#define OFF_Z_MSB   0x0D    //RW Bits [14:7] of user Z offset
#define OFF_Z_LSB   0x0E    //RW Bits [6:0] of user Z offset
#define DIE_TEMP    0x0F    //RO data Temperature, signed 8 bits in C
#define CTRL_REG1   0x10    //RW Operation modes. Modification of this registers contents can only occur when device is STANDBY mode,
#define CTRL_REG2   0x11    //RW Operation modes


float fVectMagnMAG[3];      //wektor pola magnetycznego czujnika MAG3110
float fCorrMagnMAG[3];      //wektor korekcji zera magnetometru
float fGainMagnMAG[3];      //wektor korekcji wzmocnienia magnetometru
float fOfstMagnMAG[3];      //wektor korekcji offsetu magnetometru
static float fMinValMagn2[3], fMaxValMagn2[3]; //ekstrema odczytanych wartoci
float fTempMAG;             //temepratura magnetometru
float fMagnCourseMAG;       //wyliczony kurs magnetyczny


//deklaracje zmiennych zewntrznych
extern unsigned char chI2C0End, chI2C1End, chI2C2End;     //flagi koca operacji na magistrali
extern unsigned short sInitFlag;   //zawiera flagi inicjalizacji zasobw sprztowych

//definicje zmiennych do obsugi czujnikw na miagistrali I2C1 i I2C2
static unsigned char chData[8];//bufor danych transmisji I2C

//definicje funkcji
unsigned char TestPresenceMAG3110(unsigned char chChan);
unsigned char ReadTemperatureMAG3110(unsigned char chChan, float* fTemp);
unsigned char StartMagnetometerMAG(unsigned char chChan);
unsigned char ReadMagnetometerMAG(unsigned char chChan);
unsigned char CalculateMagnetometerMAG(void);
unsigned char MeasureMagnetometerMAG(unsigned char chChan);
unsigned char InitMagnetometerMAG(void);
unsigned char CalibrateMagnMAG(unsigned char chEtap);


//deklaracje funkcji
extern unsigned char StartI2C0(unsigned char chAdr, unsigned char chSubAdr, unsigned char *chData, unsigned char chLenWr, unsigned char chLenRd);
extern unsigned char StartI2C1(unsigned char chAdr, unsigned char chSubAdr, unsigned char *chData, unsigned char chLenWr, unsigned char chLenRd);
extern unsigned char StartI2C2(unsigned char chAdr, unsigned char chSubAdr, unsigned char *chData, unsigned char chLenWr, unsigned char chLenRd);
extern unsigned char FramDataReadFloatValid(unsigned short sAddress, float *fValue, float fValMin, float fValMax, float fValDef, unsigned char chErrCode);
extern void FramDataWriteFloat(unsigned short sAddress, float fData);
extern unsigned char SetAsyncI2C_Cmd(unsigned char chCmd);
extern void BeepMin(void);
extern void BeepMax(void);